> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fivemanage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize SDK Session

> Generate an SDK token to establish a reporting session. Required for game server integrations.



## OpenAPI

````yaml /openapi.json post /sdk/report
openapi: 3.0.0
info:
  description: >-
    This is the API server for Fivemanage, providing endpoints for media
    management, logging, and SDK integration.
  title: Fivemanage API
  termsOfService: https://fivemanage.com/legal/terms-of-service
  contact:
    name: Support
    email: support@fivemanage.com
  version: '1.0'
servers:
  - url: https://api.fivemanage.com/api
security: []
paths:
  /sdk/report:
    post:
      tags:
        - SDK Integration
      summary: Authorize SDK Session
      description: >-
        Generate an SDK token to establish a reporting session. Required for
        game server integrations.
      parameters:
        - description: SDK type (fivem or roblox)
          name: sdkType
          in: query
          required: true
          schema:
            type: string
            enum:
              - fivem
              - roblox
        - description: Endpoint (required for fivem)
          name: endpoint
          in: query
          schema:
            type: string
        - description: Resource name (required for fivem)
          name: resourceName
          in: query
          schema:
            type: string
        - description: Universe ID (required for roblox)
          name: universeId
          in: query
          schema:
            type: string
        - description: Job ID (required for roblox)
          name: jobId
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.SdkTokenRefreshResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.SdkTokenRefreshResponse:
      type: object
      properties:
        expiresAt:
          type: string
          example: '2024-03-24T15:04:05Z'
        message:
          type: string
          example: Existing SDK token refreshed
    api.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Error message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````